<?php

/**
 * Die Klasse {@link DataRowException}
 *
 * @package phpDataSet
 * @author Andreas Krling <akraeling@t-online.de>
 * @since 20.06.2004
 */

/**
 * Basisklasse aller Exceptions fr phpDataSet
 */
require_once("DataExceptions.php");

/**
 * Klasse zum Behandeln von Exceptions, die durch {@link DataRow} 
 * geworfen werden.
 *
 * @package phpDataSet
 * @author Andreas Krling <akraeling@t-online.de>
 * @since 20.06.2004
 */
class DataRowException extends DataException{

  /**
   * @access public
   * @param string $Message textuelle Beschreibung der Exception, die durch das 
   *   erstellte InvalidOperationException-Objekt reprsentiert wird. Diese 
   *   Beschreibung kann spter durch {@link message} ausgelesen werden.
   * @param string $TargetSite Name der Methode, die diese Exception wirft, d.h. 
   *   der Name der eigenen Methode. Dieser Name kann spter durch {@link targetSite} 
   *   ausgelesen werden. Der Name soll aus dem Namen der Klasse gefolgt vom 
   *   Bereichsauflsungsoperator "::" und dem Namen der Methode der Klasse bestehen.
   *   Bei freien Methoden entfallen Klassenname und "::".
   *
   */    
  function DataRowException($Message, $TargetSite) {
    //Oberklassenkonstruktor aufrufen, ohne desen Namen zu kennen
    $par = get_parent_class($this);
    $this->$par($Message, $TargetSite);
  }

}
?>
