#!/bin/bash
# $Id: makedoc.sh,v 1.9.2.1 2003/06/02 21:43:25 CelloG Exp $ 

#/**
#  * mkphpDataSetDoc.sh - PHPDocumentor script to save your settings, adapted for phpDataSet
#  * 
#  * Put this file inside your PHP project homedir, edit its variables and run whenever you wants to
#  * re/make your project documentation. The adaption for phpDataSet is based on 
#  * makedoc.sh, a part of PHPDocumentor {@link http://freshmeat.net/projects/phpdocu}.
#  * 
#  * It simply runs phpdoc with the parameters you set in this file.
#  * NOTE: Do not add spaces after bash variables.
#  *
#  * @copyright         makedoc.sh is LPL as part of PHPDocumentor project. makedoc.phpDataSet.sh is LGPL, too.
#  * @author            Roberto Berto <darkelder (inside) users (dot) sourceforge (dot) net>. Adaption for 
#  *                    phpDataSet done by Matthias Ansorg <matthias@ansorgs.de>
#  * @version           Release-1.0
#  */


##############################
# should be edited
##############################

#/**
#  * title of generated documentation, default is 'Generated Documentation'
#  * 
#  * @var               string TITLE
#  */
TITLE="phpDataSet : Dokumentation"

#/** 
#  * name to use for the default package. If not specified, uses 'default'
#  *
#  * @var               string PACKAGES
#  */
PACKAGES="default"

#/** 
#  * name of directory(s) to parse directory1,directory2
#  * $PWD is the directory where makedoc.sh 
#  *
#  * Add -d $PATH_PROJECT to the final instructions at the end of this script 
#  * if you want to use this variable
#  *
#  * @var               string PATH_PROJECT
#  */
PATH_PROJECT=$PWD

#/**
#  * name of file(s) to parese file1,file2
#  * can be combined with one or more directories
#  *
#  * @var               string FILES_PROJECT
#  */
FILES_PROJECT=\*.php

#/**
#  * path of PHPDoc executable
#  *
#  * @var               string PATH_PHPDOC
#  */
PATH_PHPDOC=/usr/local/bin/phpdoc

#/**
#  * where documentation will be put
#  *
#  * @var               string PATH_DOCS
#  */
PATH_DOCS=$PWD/doc

#/**
#  * what outputformat to use (html/pdf)
#  *
#  * @var               string OUTPUTFORMAT
#  */
OUTPUTFORMAT=HTML

#/** 
#  * converter to be used
#  *
#  * @var               string CONVERTER
#  */
CONVERTER=Smarty

#/**
#  * template to use
#  *
#  * @var               string TEMPLATE
#  */
TEMPLATE=default

#/**
#  * parse elements marked as private
#  *
#  * @var               bool (on/off)           PRIVATE
#  */
PRIVATE=on

# make first documentation version
rm -R $PATH_DOCS

$PATH_PHPDOC -d $PATH_PROJECT -t $PATH_DOCS -ti "$TITLE" -dn $PACKAGES \
-po phpDataSet -o $OUTPUTFORMAT:$CONVERTER:$TEMPLATE -pp $PRIVATE

