<?php

/**
 * Testcode fr das gesamte Paket phpDataSet, basierend auf dem 
 * Testing-Framework {@link http://sourceforge.net/projects/phpunit PhpUnit}.
 *
 * Hier werden die einzelnen Modultests des Pakets phpDataSets zusammengefasst 
 * und ausgefhrt. Modultests sind Klassen die auf Test enden.
 *
 * @package phpDataSet
 * @author Matthias Ansorg <matthias at ansorgs dot de>
 */
 
/**
 * PhpUnit, das hier benutzte Testing-Framework
 *
 * Diese Klasse erwartet das vollstndige Testing-Framework PhpUnit 0.5 im 
 * Verzeichnis ./phpunit . Dies ist auch das Standard-Verzeichnis, in das 
 * sich PhpUnit 0.5 entpackt.
 *
 * PhpUnit 0.5 kann bezogen werden ber {@link http://sourceforge.net/projects/phpunit}. 
 * Hilfreich zum Umgang mit diesem Testing-Framework ist auerdem 
 * das {@link http://sourceforge.net/projects/phpunitcookbook/ PHPUnit Cookbook}
 */
require_once("phpunit/phpunit.php");

// die einzelnen TestCases, ein TestCase fr jede Klasse von phpDataSet:
require_once("DataRowTest.php");
require_once("DataTableTest.php");
require_once("DataSetTest.php");

// die TestSuite, die alle anderen TestSuites zusammenfasst:
$suitePhpDataSet = new TestSuite();

// die weiteren Testsuites erzeugen und einfgen, eine fr jeden Modultest:
$suitePhpDataSet->addTest(new TestSuite("DataRowTest"));
$suitePhpDataSet->addTest(new TestSuite("DataTableTest"));
$suitePhpDataSet->addTest(new TestSuite("DataSetTest"));

$testRunner = new TestRunner();

// ein Tipp aus dem PHPUnit Cookbook zur besseren Formatierung der Ergebnisse
echo "<html>";
echo "<head>";
echo "<title>PHP-Unit Results fr phpDataSet</title>";
echo "<style type=\"text/css\">";
echo include("phpunit/stylesheet.css");
echo "</style>";
echo "</head>";
echo "<body>";

$testRunner->run($suitePhpDataSet);
?>
